/**
 * 构造树型结构数据
 * @param {*} data 数据源
 * @param {*} id id字段 默认 'id'
 */
export function handleTree(data, id, parentId, children, rootId) {
  id = id || "id";
  parentId = parentId || "parentId";
  children = children || "children";
  rootId =
    rootId ||
    Math.min(
      Math,
      ...data.map((item) => {
        return item[parentId];
      })
    ) ||
    0;
  // 对源数据深度克隆
  const cloneData = JSON.parse(JSON.stringify(data));
  // 循环所有项
  const treeData = cloneData.filter((father: any) => {
    const branchArr = cloneData.filter((child: any) => {
      // 返回每一项的子级数组
      return father[id] === child[parentId];
    });
    branchArr.length > 0 ? (father.children = branchArr) : "";
    // 返回第一层
    return father[parentId] === rootId;
  });
  return treeData !== "" ? treeData : data;
}
// 转换字符串，undefined,null等转化为""
export function praseStrEmpty(str: any) {
  if (!str || str === "undefined" || str === "null") {
    return "";
  }
  return str;
}
